Bug 229306 - event notification still pops up in Do Not Disturb status
Summary: event notification still pops up in Do Not Disturb status
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-03 21:48 UTC by Michal Hlavinka
Modified: 2013-01-11 09:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Hlavinka 2010-03-03 21:48:56 UTC
Version:           1.0.0 (using KDE 4.4.0)
OS:                Linux
Installed from:    Fedora RPMs

When you set status as Do Not Disturb (for example when watching a movie), event notifications (new message, changed availability of some user,...) still pops up which is annoying.

how reproducible:
always

steps to reproduce:
1) set status to do not disturb
2) wait until some event happens

actual result:
disturbing notification pops up

expected result:
no notification
Comment 1 Lamarque V. Souza 2011-03-16 22:04:19 UTC

*** This bug has been marked as a duplicate of bug 184113 ***
Comment 2 Pali Rohár 2012-12-17 07:02:50 UTC
SVN commit 1328745 by pali:

Disable notifications in Busy status

This patch disable all visible KNotification for accounts in Busy status.
So now Busy status in Kopete is real Do not Disturb / Busy status without any notifications.

Related: bug 143586
Related: bug 184113
Related: bug 205303


 M  +5 -0      kopete/infoeventwidget.cpp  
 M  +5 -0      libkopete/kopeteaccount.cpp  
 M  +14 -0     libkopete/kopeteaccount.h  
 M  +6 -8      libkopete/kopetechatsession.cpp  
 M  +1 -0      libkopete/kopetemetacontact.cpp  
 M  +4 -0      libkopete/kopeteutils.cpp  
 M  +4 -0      libkopete/private/kopeteviewmanager.cpp  
 M  +4 -0      plugins/otr/authenticationwizard.cpp  
 M  +6 -0      plugins/privacy/privacyplugin.cpp  
 M  +2 -0      protocols/gadu/gaduaccount.cpp  
 M  +2 -1      protocols/groupwise/gwaccount.cpp  
 M  +4 -0      protocols/jabber/jabberaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqcontact.cpp  
 M  +5 -0      protocols/oscar/oscaraccount.cpp  
 M  +1 -1      protocols/skype/libskype/skype.cpp  
 M  +6 -0      protocols/wlm/wlmaccount.cpp  
 M  +17 -0     protocols/yahoo/yahooaccount.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1328745
Comment 3 Pali Rohár 2012-12-17 07:07:16 UTC
SVN commit 1328746 by pali:

Backport r1328745 to 4.10 branch:

Disable notifications in Busy status

This patch disable all visible KNotification for accounts in Busy status.
So now Busy status in Kopete is real Do not Disturb / Busy status without any notifications.

Related: bug 143586
Related: bug 184113
Related: bug 205303


 M  +5 -0      kopete/infoeventwidget.cpp  
 M  +5 -0      libkopete/kopeteaccount.cpp  
 M  +14 -0     libkopete/kopeteaccount.h  
 M  +6 -8      libkopete/kopetechatsession.cpp  
 M  +1 -0      libkopete/kopetemetacontact.cpp  
 M  +4 -0      libkopete/kopeteutils.cpp  
 M  +4 -0      libkopete/private/kopeteviewmanager.cpp  
 M  +4 -0      plugins/otr/authenticationwizard.cpp  
 M  +6 -0      plugins/privacy/privacyplugin.cpp  
 M  +2 -0      protocols/gadu/gaduaccount.cpp  
 M  +2 -1      protocols/groupwise/gwaccount.cpp  
 M  +4 -0      protocols/jabber/jabberaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqaccount.cpp  
 M  +3 -0      protocols/oscar/icq/icqcontact.cpp  
 M  +5 -0      protocols/oscar/oscaraccount.cpp  
 M  +1 -1      protocols/skype/libskype/skype.cpp  
 M  +6 -0      protocols/wlm/wlmaccount.cpp  
 M  +17 -0     protocols/yahoo/yahooaccount.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1328746